function doFilterWork(filterDiv, engineId, modelId, languageName) {
    jQuery("#ajaxStatementInfo").show();
        httpObject = getHTTPObject();
        if (httpObject != null) {
            var url = "../../../../Ajax/FiltersTableAjax.aspx?engineId=" + engineId + "&modelId=" + modelId + "&languageName=" + languageName;
            httpObject.open("GET", url, true);
            httpObject.onreadystatechange = function() {
            if (httpObject.readyState == (1 || 0)) {
                jQuery("#ajaxStatementInfo").show();
                jQuery("#ajaxStatementInfo").html("<img src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
            }
            if (httpObject.readyState == 4) {
                jQuery("#ajaxStatementInfo").show();
                jQuery("#ajaxStatementInfo").css('margin-bottom', '20px');
                jQuery("#ajaxStatementInfo").html(getTranslation("ajaxSelectFilter", languageName));
                    jQuery("#" + filterDiv).html(httpObject.responseText);
                } //if state
            }  //func
            httpObject.send(null);
        } //if 	   
}